LibreOffice: SpellChecker Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
SpellChecker Service Referencepublished

offers spell checking functionality. More...

Inheritance diagram for SpellChecker:

## Exported Interfaces
interface | com::sun::star::linguistic2::XSpellChecker
interface | com::sun::star::linguistic2::XLinguServiceEventBroadcaster
interface | com::sun::star::lang::XInitialization
interface | com::sun::star::lang::XComponent
interface | com::sun::star::lang::XServiceDisplayName

## Additional Inherited Members
Public Member Functions inherited from XSpellChecker
boolean | isValid ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| checks if a word is spelled correctly in a given language.
com::sun::star::linguistic2::XSpellAlternatives | spell ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| This method checks if a word is spelled correctly in a given language.
Public Member Functions inherited from XSupportedLocales
sequence< com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XLinguServiceEventBroadcaster
boolean | addLinguServiceEventListener ([in] com::sun::star::linguistic2::XLinguServiceEventListener xLstnr)
boolean | removeLinguServiceEventListener ([in] com::sun::star::linguistic2::XLinguServiceEventListener xLstnr)
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XServiceDisplayName
string | getServiceDisplayName ([in] ::com::sun::star::lang::Locale aLocale)
| returns the display name of the service for a given language.

## Detailed Description

offers spell checking functionality.

Developers Guide
  Office Development - Linguistics

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

## ◆ com::sun::star::lang::XServiceDisplayName

interface com::sun::star::lang::XServiceDisplayName

## ◆ com::sun::star::linguistic2::XLinguServiceEventBroadcaster

interface com::sun::star::linguistic2::XLinguServiceEventBroadcaster

## ◆ com::sun::star::linguistic2::XSpellChecker

interface com::sun::star::linguistic2::XSpellChecker

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/SpellChecker.idl